#! /bin/sh

# This script tests a bug found in rdiff-backup where data will be deleted from the 
# backup _source_, and hence the backup.

# Initial Backup
rdiff-backup src dest

# Modify the srouce tree so that test2 is a symbolic link to test1
rm -rf src/test2
ln -s $PWD/src/test1 $PWD/src/test2
sleep 2

# Record this change in a backup
# If _any_ backup after this one fails data will be deleted from the source directory.
rdiff-backup src dest
sleep 2

# Imitate a failed backup
touch dest/rdiff-backup-data/current_mirror.`date +%Y-%m-%dT%H\:%M\:%S``date +%z | date +%z | sed -e "s/\([0-9]\{2\}\)\([0-9]\{2\}\)/\1:\2/"`.data

# Perform another backup.  This will automatically check the destination dir due to the 
# previous failure, and in the process delete the data in src/test1.
rdiff-backup src dest
